#ifndef CAMERA_H
#define CAMERA_H

void camera_init(void);
void camera_readline(void);
void camera_index(void);
void camera_snap(void);
void camera_calibrate(void);

// temporarily visible for debugging
int camera_i2c_write(int length, uint16_t *data);
int camera_i2c_read(int length, uint16_t *data);
int camera_i2c_write_byte(unsigned char data);
unsigned char camera_i2c_read_byte(int last);
extern int camera_i2c_status;

extern unsigned char camera_linebuffer[];
extern unsigned short camera_image[];
extern unsigned char camera_index_image[],camera_index_snap[];
extern unsigned short camera_palette[],camera_palette_direct[];
extern volatile long camera_newimage,camera_ready,camera_synccount,camera_line,camera_tick,camera_time;
extern long camera_min,camera_max;
extern long camera_snapshot;

#endif