#ifndef GSM_H
#define GSM_H

#include "mbed.h"

#define GSM_PWRKEY  2,2
#define GSM_STATUS  2,3
#define GSM_NETLIGHT  2,4
#define GSM_RI  2,6
#define GSM_RTS 0,23
#define GSM_CTS 0,24

void gsm_init(void);
void gsm_update(void);
void gsm_endcall(void);
void gsm_acceptcall(void);
void gsm_makecall(char *number);
void gsm_sendMMS(char *number);

void gsm_flash(void);

extern volatile long gsm_ringing,gsm_hangup,gsm_online;
extern long gsm_insisting;

extern int gsm_pinready,gsm_waitingforpin;
extern char gsm_pin[];

#endif